O Adobe Commerce 2.3.6, 2.4.1 CAPTCHA no check-out não está funcionando

Este artigo fornece uma correção para o problema em que o recurso CAPTCHA para check-out não funciona como esperado na página Fazer pedido ao usar provedores de pagamento de terceiros, como Paypal Express, Payflow Pro ou CyberSource no Adobe Commerce.

Este problema conhecido é mencionado em nossa documentação do desenvolvedor:

Para Adobe Commerce 2.3.6:

Para Adobe Commerce 2.4.1:

Produtos e versões afetados

  • Adobe Commerce (todos os métodos de implantação) 2.3.6 e 2.4.1
  • Magento Open Source 2.3.6 e 2.4.1

Problema

Etapas a serem reproduzidas

  1. Configure pelo menos um desses métodos de pagamento no Commerce: Paypal Express, Payflow Pro ou CyberSource.

  2. Vá para Admin > Lojas > Configuração > Clientes > Configuração do cliente > CAPTCHA .

    • Defina Habilitar CAPTCHA na Loja = Sim.
    • Selecione no Forms: Pedido de Check-out/Colocação, Logon e Esqueceu a senha.
    • Definir Modo de Exibição = Após o número de tentativas de logon (para exibir a configuração Número de Tentativas Sem Êxito de Logon).
    • Defina Number of Unsuccessful Attempts to Login = 0 (para fazer o captcha funcionar o tempo todo).
  3. No front-end, adicione um produto ao carrinho e tente fazer check-out.

  4. Na página de informações de pagamento, insira captcha e tente finalizar a compra com Paypal Express, Payflow Pro ou CyberSource.

Resultado esperado:

O recurso CAPTCHA funciona conforme esperado.

Resultado real:

A mensagem de erro é exibida: Forneça o código CAPTCHA e tente novamente.

Solução

Aplique um dos patches abaixo, dependendo se você está no Adobe Commerce no local/Adobe Commerce na infraestrutura de nuvem/Magento Open Source 2.3.6 ou 2.4.1.

Correções

Os patches estão anexados a este artigo, disponíveis para download nos formatos .composer e .git.

Para baixar um patch, role até o final do artigo e clique no nome do arquivo ou clique em um dos links a seguir:

Para Adobe Commerce no local/Adobe Commerce na infraestrutura de nuvem/Magento Open Source 2.3.6 :

Para Adobe Commerce no local/Adobe Commerce na infraestrutura de nuvem/Magento Open Source 2.4.1 :

Esses patches não são compatíveis com nenhuma outra versão ou edição do Adobe Commerce ou Magento Open Source.

Como aplicar o patch

Correção do compositor

Consulte Como aplicar um patch de compositor fornecido pelo Adobe em nossa base de dados de suporte para obter instruções de patch de compositor.

Patch do Git

Consulte a documentação do desenvolvedor Aplicação de patches: patches personalizados para obter instruções de patch do Git para Adobe Commerce/Magento Open Source.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a